{
  lib,
  pkgs,
  hostSpec,
  ...
}:
{
  imports = lib.flatten [
    ## Common Imports ##
    (map lib.custom.relativeToRoot [
      "home/global/common/browsers"
      "home/global/common/gaming"
      "home/global/common/gnome"
      "home/global/common/vscode"
      "home/global/common/xdg.nix"
    ])

    ## VM Specific ##
    ./config
  ];

  home.sessionVariables = {
    FLAKE = "${hostSpec.home}/git/dot.nix";
  };

  ## Packages with no needed configs ##
  home.packages = builtins.attrValues {
    inherit (pkgs)
      ## Media ##
      cider # Apple Music
      youtube-music

      ## Tools ##
      inspector
      ;
  };
}
